%global version_major 5
%global apiversion %{version_major}
%global gittag %{name}%{version_major}_%{version}

Name:           gz-common
Version:        5.5.1
Release:        2%{?dist}
Summary:        Math utilities for robotic applications

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 
Patch0:         %{name}-5.5.1-missinginclude.patch

BuildRequires:  assimp-devel
BuildRequires:  cmake
BuildRequires:  ffmpeg-free-devel
BuildRequires:  freeimage-devel
BuildRequires:  gcc-c++
BuildRequires:  gdal-devel
BuildRequires:  gts-devel
BuildRequires:  gz-cmake-devel >= 3
BuildRequires:  gz-math-devel >= 7
BuildRequires:  gz-utils-devel >= 2
BuildRequires:  libuuid-devel
BuildRequires:  make
BuildRequires:  tinyxml2-devel
# Documentation
BuildRequires:  doxygen


%description
Gazebo Math, a component of Gazebo, provides general purpose math classes and
functions designed for robotic applications.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gz-cmake-devel >= 3
Requires: ffmpeg-free-devel
Requires: libuuid-devel

%description devel
%{summary}

%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1


%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DUSE_HOST_SSE_FLAGS:BOOL=OFF \
  -DSKIP_SWIG:BOOL=ON \
  -DSKIP_PYBIND11:BOOL=ON
%cmake_build


%install
%cmake_install

%check
%ctest || exit 0

%files
%license LICENSE
%{_datadir}/gz
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{apiversion}
%{_libexecdir}/gz

%files devel
%doc redhat-linux-build/doxygen/html
%{_libdir}/*.so
%{_libdir}/cmake/%{name}%{version_major}*
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/gz


%changelog
* Fri Apr 05 2024 Rich Mattes <richmattes@gmail.com>
- Update devel package requires

* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com> - 5.5.1-1
- Initial package
